Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui
Class JpaEntityLoader

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.PersistenceController<T>
              org.jboss.seam.ui.AbstractEntityLoader<javax.persistence.EntityManager>
                  org.jboss.seam.ui.JpaEntityLoader

All Implemented Interfaces:
  Serializable

    @Name(value="org.jboss.seam.ui.entityLoader")
    @Install(precedence=0,
             value=true,
             classDependencies="javax.persistence.EntityManager")
    @Scope(value=STATELESS)
    public class JpaEntityLoader

extends AbstractEntityLoader<javax.persistence.EntityManager>

Stores entity identifiers under a key, which can be used on a page

Author:
  Pete Muir
See Also:
  Serialized Form

Constructor Summary
`JpaEntityLoader()`

Method Summary
`protected org.jboss.seam.framework.Identifier` | `createIdentifier(Object entity)`
`javax.persistence.EntityManager` | `getEntityManager()`
`protected String` | `getPersistenceContextName()`
`void` | `setEntityManager(javax.persistence.EntityManager entityManager)`
`void` | `validate()`

Methods inherited from class org.jboss.seam.ui.AbstractEntityLoader
`get, instance, put`

Methods inherited from class org.jboss.seam.framework.PersistenceController
`getPersistenceContext, setPersistenceContext`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, createValueExpression, createValueExpression, debug, debug, error, error, evaluateValueExpression, evaluateValueExpression, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getStatusMessages, getValidator, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaEntityLoader

    public JpaEntityLoader()

Method Detail

### createIdentifier

    protected org.jboss.seam.framework.Identifier createIdentifier(Object entity)

  Specified by:
    `createIdentifier` in class `AbstractEntityLoader<javax.persistence.EntityManager>`

### getPersistenceContextName

    protected String getPersistenceContextName()

  Specified by:
    `getPersistenceContextName` in class `org.jboss.seam.framework.PersistenceController<javax.persistence.EntityManager>`

### validate

    public void validate()

  Specified by:
    `validate` in class `AbstractEntityLoader<javax.persistence.EntityManager>`

### getEntityManager

    public javax.persistence.EntityManager getEntityManager()

### setEntityManager

    public void setEntityManager(javax.persistence.EntityManager entityManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.